Bug 220311 - Printing in openoffice, evince causes application to hang.
Printing in openoffice, evince causes application to hang.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 06:35 EST by krishan purahoo
Modified: 2008-05-06 13:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evince crash traces (7.13 KB, text/plain)
2007-05-21 13:23 EDT, Laurent Aguerreche
no flags Details

  None (edit)
Description krishan purahoo 2006-12-20 06:35:37 EST
Description of problem: 

Printing in openoffice, evince causes application to hang. This happens when I
have more than 227 printers (using CUPS). If I reduce the number of CUPS
printers to below 227, there is NO problem.  


Version-Release number of selected component (if applicable): GA version for
both


How reproducible: every time


Steps to Reproduce:
1. In oowriter (or evince), go to file -> print
2. If we have more than 227 printers (I am using CUPS for printing), the
   print dialog box comes up, but it is blank, and the whole application
   hangs (freezes). The only way to proceed is to kill the application.

3.
  
Actual results:

print dialog comes up but is blank and the whole application hangs.

Expected results:

I expect the print dialog to come up with all the printers listed in the
list box.


Additional info: 

I have reported this bug to openoffice (as I noticed it in 
openoffice initially), but on further investigation, it seems to happen in
evince as well. It seems to be a problem with the gtk2 print dialog (as both
these applications uses this for the printing dialog).
Comment 1 Laurent Aguerreche 2007-05-21 13:23:29 EDT
Created attachment 155118 [details]
Evince crash traces
Comment 2 Laurent Aguerreche 2007-05-21 13:24:38 EDT
I can confirm... It makes impossible to print anything with OOo or Evince. I do
not know whether others GTK applications are impacted but Gedit works without
any problems for instance.
Comment 3 Matthias Clasen 2007-05-21 22:20:09 EDT
A workaround for the "many printers lock up the cups backend" problem has been
included in 2.10.12, which I will build as an FC6 update once F7 is released.
Comment 4 Bug Zapper 2008-04-04 01:18:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 13:12:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.